Intrusion Prevention

Thomson.Reuters.Velocity.Analytics.importFile.Code.Execution

Description

This indicates an attack attempt to exploit a Code Execution vulnerability in Thomson Reuters Velocity Analytics.
The vulnerability is due to insufficient sanitizing of user supplied inputs in the application when handling a crafted HTTP request. A remote attacker may be able to exploit this to execute arbitrary code within the context of the application, via a crafted HTTP request.

Affected Products

Thomson Reuters Velocity Analytics Vhayu Analytic Servers 6.94 build 2995 (and possibly prior versions)

Impact

System Compromise: Remote attackers can execute arbitrary code on vulnerable systems.

Recommended Actions

Apply the most recent upgrade or patch from the vendor (requires login):
https://customers.reuters.com/a/support/paz/Default.aspx?pId=9117

CVE References

CVE-2013-5912